import HcDropdown from './dropdown/index.vue'
import HcGradientCard from './gradient-card/index.vue'
import FormItemUpload from './upload/FormItemUpload.vue'
import {vAuthBtn} from './auth-btn/index'

//注册全局组件
export const setupComponents = (App) => {
    App.component('HcDropdown', HcDropdown)
    App.component('HcGradientCard', HcGradientCard)
    App.component('FormItemUpload', FormItemUpload)
    //自定义指令
    App.directive('auth-btn', vAuthBtn)
}
